<template>
  <el-table @row-click="goto" :data="tableData || []">
    <el-table-column prop="first_name" label="First name" width="180">
    </el-table-column>
    <el-table-column prop="last_name" label="Last name" width="180">
    </el-table-column>
    <el-table-column prop="email" label="email"> </el-table-column>
  </el-table>
</template>

<script>
  import axios from "axios";
  export default {
    data() {
      return {
        tableData: [],
      };
    },
    methods: {
      goto(row) {
        if (row && row.uuid)
          this.$router.push({ name: "User", params: { uuid: row.uuid } });
      },
    },
    mounted() {
      axios("/users").then((data) => {
        if (data.status == 200) {
          this.tableData = data.data;
        } else {
          this.$notify.error({
            title: "Error",
            message: "Something went wrong",
          });
        }
      });
    },
  };
</script>

<style>
  tr {
    cursor: pointer;
  }
</style>